require "import"
import "com.androlua.*"
import "android.widget.*"
import "android.view.*"
import "android.media.MediaPlayer"

-- جدول الأذكار
local azkar = {
    "سبحان الله",
    "الحمد لله",
    "لا إله إلا الله",
    "الله أكبر",
    "لا حول ولا قوة إلا بالله",
    "أستغفر الله",
    "اللهم صلِّ على محمد"
}
local current_index = 1 -- الفهرس الحالي
local count = 0 -- عداد التسبيحات
local mp -- متغير لتشغيل الصوت

-- وظيفة تشغيل الصوت
function playSound()
    if mp then
        mp.stop()
        mp.release()
    end
    mp = MediaPlayer()
    mp.setDataSource("/storage/emulated/0/Music/سبحة.mp3")
    mp.prepare()
    mp.start()
end

-- إنشاء واجهة المستخدم
dlg = LuaDialog(this)
dlg.title = "المِسْبَحة الإلكترونية"
dlg.setView(loadlayout({
    LinearLayout,
    orientation = 1,
    layout_width = "100%w",
    layout_height = "100%h",
    background = "#ff000000",
    {
        Button,
        id = "btn4",
        text = "إعادة",
        textSize = "50sp",
        background = "#ffff4c00",
        layout_width = "99%w",
        layout_height = "15%h",
        layout_gravity = "top"
    },
    {
        LinearLayout,
        orientation = 0,
        layout_width = "100%w",
        layout_height = "70%h",
        {
            Button,
            id = "btn2",
            text = "ذكر التسبيح السابق",
            textSize = "30sp",
            layout_width = "25%w",
            layout_height = "60%h",
            background = "#a4ff6d00"
        },
        {
            Button,
            id = "btn1",
            text = azkar[current_index],
            textSize = "30sp",
            layout_width = "40%w",
            layout_height = "60%h",
            background = "#ff000000"
        },
        {
            Button,
            id = "btn3",
            text = "ذكر التسبيح التالي",
            textSize = "30sp",
            background = "#a300ff00",
            layout_width = "25%w",
            layout_height = "60%h"
        }
    },
    {
        Button,
        id = "btn_exit",
        text = "خروج",
        textSize = "50sp",
        background = "#ff0000",
        layout_width = "99%w",
        layout_height = "15%h",
        layout_gravity = "bottom"
    }
}))

-- زر ذكر التسبيح التالي
btn3.setOnClickListener(function(v)
    current_index = current_index + 1
    if current_index > #azkar then
        current_index = 1 -- العودة إلى البداية
    end
    btn1.text = azkar[current_index]
    count = 0 -- إعادة العداد عند تغيير الذكر
end)

-- زر ذكر التسبيح السابق
btn2.setOnClickListener(function(v)
    current_index = current_index - 1
    if current_index < 1 then
        current_index = #azkar -- الذهاب إلى النهاية
    end
    btn1.text = azkar[current_index]
    count = 0 -- إعادة العداد عند تغيير الذكر
end)

-- زر الذكر (المنتصف) لزيادة العدد
btn1.setOnClickListener(function(v)
    count = count + 1
    local display_text = azkar[current_index] .. " . " .. tostring(count)
    btn1.text = display_text
    service.speak(display_text)

    -- تشغيل الصوت كل 12 عد
    if count % 12 == 0 then
        playSound()
    end
end)

-- زر إعادة (تصفير العداد)
btn4.setOnClickListener(function(v)
    count = 0 -- إعادة تصفير العداد
    btn1.text = azkar[current_index]
    service.speak("تم تصفير العداد")
end)

-- زر اضْغَطْ هُنَا لِلْخُرُوجِ مِنَ السُّبْحَةِ، طَبْعًا بَعْدَ أَنْ تَدْعُو لِمُحَمَّدٍ شَحَاتَةَ بِالتَّوْفِيقِ فِي مَا يَتَمَنَّاهُ وَبِصَلَاحِ الْحَالِ. 🌟
btn_exit.setOnClickListener(function(v)
    dlg.hide() -- إغلاق النافذة
    service.speak("تَمَّ إِغْلَاقُ السُّبْحَةِ، وَمَعَ تَحِيَّاتِ أَخِيكُمْ مُحَمَّدٌ شَحَاتَةٌ مَنْصُورٌ، لَا تَنْسَوْا الدُّعَاءَ لِي بِصَلَاحِ الْحَالِ وَبِالتَّوْفِيقِ فِي مَا أَتَمَنَّاهُ. بَارَكَ اللَّهُ فِيكُمْ. 🙏")
end)

-- عرض الواجهة
dlg.show()